Loading...
Searching...
No Matches
gx_engine::bank_iterator Class Reference

`#include <machine.h>`

## Public Member Functions

| bank_iterator (gx_system::PresetBanks::iterator it_)
| ~bank_iterator ()
bool | operator!= (const bank_iterator &i) const
bank_iterator & | operator++ ()
gx_system::PresetFileGui * | operator-> ()
gx_system::PresetFileGui * | operator* ()

## Private Attributes

gx_system::PresetBanks::iterator | it

## Detailed Description

Definition at line 45 of file machine.h.

## Constructor & Destructor Documentation

## bank_iterator()

gx_engine::bank_iterator::bank_iterator | ( | gx_system::PresetBanks::iterator | it_ | ) |

inline

Definition at line 49 of file machine.h.

Referenced by operator!=(), and operator++().

## ~bank_iterator()

gx_engine::bank_iterator::~bank_iterator | ( |  | ) |

inline

Definition at line 50 of file machine.h.

## Member Function Documentation

## operator!=()

bool gx_engine::bank_iterator::operator!= | ( | const bank_iterator & | i | ) | const

inline

Definition at line 51 of file machine.h.

## operator*()

gx_system::PresetFileGui * gx_engine::bank_iterator::operator* | ( |  | ) |

inline

Definition at line 54 of file machine.h.

## operator++()

bank_iterator & gx_engine::bank_iterator::operator++ | ( |  | ) |

inline

Definition at line 52 of file machine.h.

## operator->()

gx_system::PresetFileGui * gx_engine::bank_iterator::operator-> | ( |  | ) |

inline

Definition at line 53 of file machine.h.

## Member Data Documentation

## it

gx_system::PresetBanks::iterator gx_engine::bank_iterator::it

private

Definition at line 47 of file machine.h.

Referenced by bank_iterator(), operator!=(), and operator++().

The documentation for this class was generated from the following file:

- src/headers/machine.h